*= $0800
.byte $00,$0c,$08,$0a,$00,$9e,$32,$31,$32,$38,$00,$00,$00,$00

*=$0850

				 sei
				 jsr $e544   ;clr screen

;Sprite stuff
				 lda #$ff  	 ;turn on Sprite 0-7
				 sta $d015
				 lda #$00  	 ;Sprite Multicolor Register #0 to -black-
				 sta $d025	 
				 lda #$01  	 ;Sprite Multicolor Register #1 to -white-
				 sta $d026	 

         ;sprites' color
				 lda #$05	   ;-green-
         sta $d027
         sta $d028
         sta $d029
         sta $d02a
         sta $d02b
         sta $d02c
         sta $d02d
         sta $d02e
				
         ;sprites' multicolor | hires
				 lda #$ff    ;11111111 sprite 0..7
         sta $d01c   ;set to Multicolor with bit[0..7]=1, to Hires with bit[..]=0

         ;sprites' pointer
				 lda #$80    ;($2000) 8192 / 64 = 128 == $80
         sta $07f8   ;pointer to spritedata
				 lda #$81    ;($2040) 8256 / 64 = 129 == $81
         sta $07f9   ;pointer to spritedata1
				 lda #$82    ;($2080) 8320 / 64 = 130 == $82
         sta $07fa   ;pointer to spritedata2
				 lda #$83    ;($20C0) 8384 / 64 = 131 == $83
         sta $07fb   ;pointer to spritedata3
				 lda #$84    ;($2100) 8448 / 64 = 132 == $84
         sta $07fc   ;pointer to spritedata4
				 lda #$85    ;($2140) 8512 / 64 = 133 == $85
         sta $07fd   ;pointer to spritedata5
         sta $07fe   ;pointer to spritedata6
         sta $07ff   ;pointer to spritedata7

				 ;sprites' position
         ;first x-pos is 30
         ;first y-pos is 50
         lda #30
				 sta $d000	 ;X - coordinate to 30 (sprite 0)
				 lda #50
				 sta $d001	 ;y - coordinate to 50
				 lda #30+24
         sta $d002	 ;X - coordinate (sprite 1)
				 lda #50
				 sta $d003	 ;y - coordinate
			 	 lda #30+48
         sta $d004	 ;X - coordinate (sprite 2)
				 lda #50
				 sta $d005	 ;y - coordinate
         lda #30
         sta $d006	 ;X - coordinate (sprite 3)
				 lda #50+21
				 sta $d007	 ;y - coordinate
				 lda #30+24
         sta $d008	 ;X - coordinate (sprite 4)
				 lda #50+21
				 sta $d009	 ;y - coordinate
				 lda #30+48
         sta $d00a	 ;X - coordinate (sprite 5)
				 lda #50+21
				 sta $d00b	 ;y - coordinate

				
mainloop ldx #$ff
         lda $d012
         cmp #$ff     ;raster beam: wait till line 255
         bne mainloop
		
; ... do something

				 jmp mainloop
		
*=$2000
spritedata
;// sprite0
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$01
.byte $00,$00,$05
.byte $00,$00,$07
.byte $00,$00,$05
.byte $00,$00,$06
.byte $00,$00,$06
.byte $00,$02,$A5
.byte $00,$0A,$07
.byte $00,$20,$01
.byte $02,$80,$00
.byte $02,$00,$00
.byte $02,$A0,$05
.byte $0A,$08,$17
.byte $08,$A0,$5F
.byte $08,$01,$7F
.byte $28,$05,$FF
.byte $20,$15,$FF
.byte 0
;// sprite1
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $55,$54,$00
.byte $7F,$FD,$00
.byte $FD,$55,$00
.byte $56,$AA,$40
.byte $AA,$AA,$40
.byte $AA,$A5,$40
.byte $A9,$5F,$40
.byte $55,$FF,$40
.byte $FF,$FD,$00
.byte $FF,$F5,$50
.byte $5F,$5F,$F5
.byte $15,$FF,$FF
.byte $7F,$FF,$FF
.byte $FF,$FF,$FF
.byte $FF,$FF,$FF
.byte $FF,$FF,$F5
.byte $FF,$FF,$F4
.byte $7F,$FF,$F4
.byte 0
;// sprite2
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $54,$00,$00
.byte $F5,$40,$00
.byte $FF,$54,$00
.byte $FD,$55,$00
.byte $FD,$55,$00
.byte $55,$55,$00
.byte $00,$50,$00
.byte $00,$00,$00
.byte 0
;// sprite3
.byte $28,$55,$7D
.byte $0A,$55,$54
.byte $02,$55,$50
.byte $00,$95,$40
.byte $00,$20,$00
.byte $00,$20,$00
.byte $00,$20,$00
.byte $00,$20,$02
.byte $00,$20,$08
.byte $00,$28,$20
.byte $00,$02,$80
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$01
.byte $00,$00,$01
.byte $00,$00,$05
.byte $00,$00,$05
.byte $00,$00,$05
.byte $00,$00,$01
.byte 0
;// sprite4
.byte $7F,$FF,$FD
.byte $3F,$FE,$AD
.byte $1A,$AB,$F9
.byte $1F,$FA,$AD
.byte $1A,$AF,$FF
.byte $1F,$FF,$FF
.byte $9F,$F5,$5F
.byte $1F,$F4,$1F
.byte $1F,$F4,$07
.byte $1F,$F4,$07
.byte $5F,$D4,$05
.byte $7F,$D0,$01
.byte $7F,$D0,$00
.byte $7F,$D0,$00
.byte $7F,$D0,$00
.byte $55,$40,$00
.byte $55,$40,$00
.byte $55,$00,$00
.byte $55,$00,$00
.byte $54,$00,$00
.byte $40,$00,$00
.byte 0
;// sprite5
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $40,$00,$00
.byte $D0,$00,$00
.byte $F4,$00,$00
.byte $F4,$00,$00
.byte $F5,$00,$00
.byte $F5,$50,$00
.byte $55,$54,$00
.byte $55,$54,$00
.byte $55,$54,$00
.byte $05,$40,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte 0
;// sprite6
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte 0
;// sprite7
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte 0
;// sprite8
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte $00,$00,$00
.byte 0

